Index: rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp4_cli.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp4_cli.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp4_cli.c	(revision 315)
@@ -95,44 +95,30 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -183,5 +169,5 @@
 
 /*
- *  DHCP ã¯ã©ã¤ã¢ã³ãã¿ã¹ã¯
+ *  DHCP クライアントタスク
  */
 
@@ -189,17 +175,16 @@
 
 /*
- *  å¤æ°
- */
-
-static T_DHCP4_CLI_CONTEXT	context;			/* ã¯ã©ã¤ã¢ã³ãã³ã³ãã­ã¹ã	*/
-static uint8_t	magicno[DHCP4_MAGIC_LEN] = DHCP4_RFC1048_MAGIC;	/* magic çªå·ï¼RFC1048ï¼*/
-
-/* å¿
-é ãªãã·ã§ã³ãªã¹ã */
+ *  変数
+ */
+
+static T_DHCP4_CLI_CONTEXT	context;			/* クライアントコンテキスト	*/
+static uint8_t	magicno[DHCP4_MAGIC_LEN] = DHCP4_RFC1048_MAGIC;	/* magic 番号（RFC1048）*/
+
+/* 必須オプションリスト */
 #ifdef DHCP4_CLI_CFG_REQUIRED_OLIST
 static uint8_t	required_plist[] = DHCP4_CLI_CFG_REQUIRED_OLIST;
 #endif
 
-/* è¦æ±ãªãã·ã§ã³ãªã¹ã */
+/* 要求オプションリスト */
 #ifdef DHCP4_CLI_CFG_REQUEST_OLIST
 static uint8_t	request_plist[] = DHCP4_CLI_CFG_REQUEST_OLIST;
@@ -207,9 +192,9 @@
 
 /*
- *  dhcp4_cksum -- ãã§ãã¯ãµã ã®è¨ç®é¢æ°
+ *  dhcp4_cksum -- チェックサムの計算関数
  */
 
 static uint32_t
-dhcp4_cksum (void *data, uint_t len /*ãªã¯ãããåä½*/)
+dhcp4_cksum (void *data, uint_t len /*オクテット単位*/)
 {
 	uint32_t carry, sum = 0;
@@ -229,5 +214,5 @@
 
 /*
- *  create_xid -- ãã©ã³ã¶ã¯ã·ã§ã³ ID ãçæããã
+ *  create_xid -- トランザクション ID を生成する。
  */
 
@@ -245,7 +230,7 @@
 
 /*
- *  find_option_sub -- æå®ãããªãã·ã§ã³ãæ¢ç´¢ããã
+ *  find_option_sub -- 指定したオプションを探索する。
  *
- *    æ³¨æ: å¼æ° size ã 0 ã®æã¯ãªãã·ã§ã³ãµã¤ãºãæ¤è¨¼ããªãã
+ *    注意: 引数 size が 0 の時はオプションサイズを検証しない。
  */
 
@@ -282,7 +267,7 @@
 
 /*
- *  find_option -- æå®ãããªãã·ã§ã³ãæ¢ç´¢ããã
+ *  find_option -- 指定したオプションを探索する。
  *
- *    æ³¨æ: å¼æ° size ã 0 ã®æã¯ãªãã·ã§ã³ãµã¤ãºãæ¤è¨¼ããªãã
+ *    注意: 引数 size が 0 の時はオプションサイズを検証しない。
  */
 
@@ -296,6 +281,5 @@
 
 /*
- *  is_equal_sid -- ã¡ãã»ã¼ã¸å
-ã® SERVER ID ãæ¯è¼ããã
+ *  is_equal_sid -- メッセージ内の SERVER ID を比較する。
  */
 
@@ -314,6 +298,5 @@
 
 /*
- *  timer_value -- ã¡ãã»ã¼ã¸ããæéæ
-å ±ãåãåºãã
+ *  timer_value -- メッセージから時間情報を取り出す。
  */
 
@@ -328,9 +311,8 @@
 	else {
 
-		/* ãµã¼ãããã®ãªã¼ã¹æéã¯[s]ã*/
+		/* サーバからのリース時間は[s]。*/
 		seconds = msg2host32(opt + 2);
 
-		/* ã³ã³ãã­ã¹ãå
-ã®ãªã¼ã¹æéã¯ SYSTIM_HZã*/
+		/* コンテキスト内のリース時間は SYSTIM_HZ。*/
 		if (seconds == DHCP4_TIME_INFINITY)
 			return DHCP4_TIME_INFINITY;
@@ -343,5 +325,5 @@
 
 /*
- *  rel_addr -- IPv4 ã¢ãã¬ã¹ããµãããããã¹ã¯ãéççµè·¯è¡¨ãè§£æ¾ããã
+ *  rel_addr -- IPv4 アドレス、サブネットマスク、静的経路表を解放する。
  */
 
@@ -386,5 +368,5 @@
 
 /*
- *  rel_options -- ãªã¼ã¹ããããªãã·ã§ã³ãè§£æãã¦å¤ãè§£æ¾ããã
+ *  rel_options -- リースされたオプションを解析して値を解放する。
  */
 
@@ -452,6 +434,5 @@
 
 /*
- *  rel_lease -- ãªã¼ã¹ãããæ
-å ±ãè§£æ¾ããã
+ *  rel_lease -- リースされた情報を解放する。
  */
 
@@ -459,14 +440,14 @@
 rel_lease (T_DHCP4_CLI_CONTEXT *ct)
 {
-	/* æå¹ãªãªã¼ã¹ã»ã¡ãã»ã¼ã¸æ§é ä½ãç¡ããã°ä½ãããªãã*/
+	/* 有効なリース・メッセージ構造体が無ければ何もしない。*/
 	if (ct->act_msg == NULL)
 		return;
 
-	/* ãªã¼ã¹ããããªãã·ã§ã³ãè§£æãã¦å¤ãè§£æ¾ããã*/
+	/* リースされたオプションを解析して値を解放する。*/
 	rel_options(ct, DHCP4_OPTION_OFFSET + DHCP4_MAGIC_LEN,
 	              ct->act_msg->len - (DHCP4_OPTION_OFFSET + DHCP4_MAGIC_LEN), true);
 	rel_addr();
 
-	/* æå¹ãªãªã¼ã¹ã»ã¡ãã»ã¼ã¸æ§é ä½ãè§£æ¾ããã*/
+	/* 有効なリース・メッセージ構造体を解放する。*/
 	syscall(rel_mpf(MPF_DHCP4_CLI_MSG, (void*)ct->act_msg));
 	ct->act_msg = NULL;
@@ -474,5 +455,5 @@
 
 /*
- *  set_addr -- IPv4 ã¢ãã¬ã¹ããµãããããã¹ã¯ãéççµè·¯è¡¨ãè¨­å®ããã
+ *  set_addr -- IPv4 アドレス、サブネットマスク、静的経路表を設定する。
  */
 
@@ -513,5 +494,5 @@
 
 /*
- *  set_options -- ãªã¼ã¹ããããªãã·ã§ã³ãè§£æãã¦å¤ãè¨­å®ããã
+ *  set_options -- リースされたオプションを解析して値を設定する。
  */
 
@@ -586,6 +567,5 @@
 
 /*
- *  set_lease -- ãªã¼ã¹ãããæ
-å ±ãè¨­å®ããã
+ *  set_lease -- リースされた情報を設定する。
  */
 
@@ -593,5 +573,5 @@
 set_lease (T_DHCP4_CLI_CONTEXT *ct)
 {
-	/* ãªã¼ã¹ããããªãã·ã§ã³ãè§£æãã¦å¤ãè¨­å®ããã*/
+	/* リースされたオプションを解析して値を設定する。*/
 	set_options(ct, DHCP4_OPTION_OFFSET + DHCP4_MAGIC_LEN,
 	              ct->act_msg->len - (DHCP4_OPTION_OFFSET + DHCP4_MAGIC_LEN), true);
@@ -599,7 +579,7 @@
 
 /*
- *  validate_duplicate -- æå®ããã IPv4 ã¢ãã¬ã¹ãä½¿ããã¦ããªããæ¤è¨¼ããã
+ *  validate_duplicate -- 指定された IPv4 アドレスが使われていないか検証する。
  *
- *    ä½¿ããã¦ããªãæã¯ true ãè¿ãã
+ *    使われていない時は true を返す。
  */
 
@@ -609,17 +589,16 @@
 	T_IN4_ADDR	yiaddr;
 
-	/* æå®ããã IPv4 ã¢ãã¬ã¹ã ADDR ANY ãªãä½¿ããã¦ããªãã¨å¤æ­ããã*/
+	/* 指定された IPv4 アドレスが ADDR ANY なら使われていないと判断する。*/
 	yiaddr = ntohl(msg->msg.yiaddr);
 	if (yiaddr == IPV4_ADDRANY)
 		return true;
 
-	/* ARP ã­ã£ãã·ã¥ã«ããã°ä½¿ããã¦ããã¨å¤æ­ããã*/
+	/* ARP キャッシュにあれば使われていると判断する。*/
 	if (arp_lookup(yiaddr, false) != NULL)
 		return false;
 
 	/*
-	 *  ARP è¦æ±ãåºåãã¦ TMO_DHCP4C_ARP_WAIT å¾
-ã¡ã
-	 *  ARP ã­ã£ãã·ã¥ã«ãªããã°ä½¿ããã¦ããªãã¨å¤æ­ããã
+	 *  ARP 要求を出力して TMO_DHCP4C_ARP_WAIT 待ち、
+	 *  ARP キャッシュになければ使われていないと判断する。
 	 */
 	arp_request(&IF_ETHER_NIC_GET_SOFTC()->ifaddr, yiaddr);
@@ -629,5 +608,5 @@
 
 /*
- *  validate_rcv_msg -- åä¿¡ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã
+ *  validate_rcv_msg -- 受信メッセージを検証する。
  */
 
@@ -637,13 +616,13 @@
 	uint8_t 	*opt;
 
-	/* packet type ã DHCP4_REPLY ã§ãããã¨ãç¢ºèªããã*/
+	/* packet type が DHCP4_REPLY であることを確認する。*/
 	if (!(msg->msg.op == DHCP4_REPLY))
 		return false;
 
-	/* ã¡ãã»ã¼ã¸ã¿ã¤ããªãã·ã§ã³ããããã¨ãç¢ºèªããã*/
+	/* メッセージタイプオプションがあることを確認する。*/
 	if ((opt = find_option(msg, DHCP4_OPT_MSG_TYPE, 1)) == NULL)
 		return E_PAR;
 
-	/* ã¡ãã»ã¼ã¸ã®ã¿ã¤ããä¸è´ãã¦ãããã¨ãæ¤è¨¼ããã*/
+	/* メッセージのタイプが一致していることを検証する。*/
 	msg->type = *(opt + 2);
 	switch (ct->fsm) {
@@ -675,25 +654,24 @@
 		}
 
-	/* ãã¸ãã¯çªå·ãæ¤è¨¼ããã*/
+	/* マジック番号を検証する。*/
 	if (memcmp((uint8_t*)&msg->msg.options, magicno, DHCP4_MAGIC_LEN))
 		return E_PAR;
 
-	/* ãã©ã³ã¶ã¯ã·ã§ã³ ID ãç°ãªã£ã¦ããã°ã¨ã©ã¼ */
+	/* トランザクション ID が異なっていればエラー */
 	if (ntohl(msg->msg.xid) != ct->xid)
 		return E_PAR;
 
-	/* ãã¼ãã¦ã§ã¢ã¢ãã¬ã¹é·ã 6ï¼MAC ã¢ãã¬ã¹é·ï¼ã§ãªããã°ã¨ã©ã¼ */
+	/* ハードウェアアドレス長が 6（MAC アドレス長）でなければエラー */
 	if (msg->msg.hlen != ETHER_ADDR_LEN)
 		return E_PAR;
 
-	/* ãã¼ãã¦ã§ã¢ã¢ãã¬ã¹ãç°ãªã£ã¦ããã°ã¨ã©ã¼ */
+	/* ハードウェアアドレスが異なっていればエラー */
 	if (memcmp(&msg->msg.chaddr, &ct->sc->ifaddr.lladdr, sizeof(ct->sc->ifaddr.lladdr)))
 		return E_PAR;
 
 	/*
-	 *  ã¡ãã»ã¼ã¸ã¿ã¤ãã OFFER ã®å ´åã¯ã
-	 *  ARP ãä½¿ç¨ãã¦ãæå®ããã IPv4 ã¢ãã¬ã¹ãä½¿ããã¦ããªããæ¤è¨¼ããã
-	 *  ä½¿ããã¦ããæã¯ãä»ã® IPv4 ã¢ãã¬ã¹ã®æä¾ãå¾
-ã¤ã
+	 *  メッセージタイプが OFFER の場合は、
+	 *  ARP を使用して、指定された IPv4 アドレスが使われていないか検証する。
+	 *  使われている時は、他の IPv4 アドレスの提供を待つ。
 	 */
 	if (msg->type == DHCP4_MTYPE_OFFER) {
@@ -706,5 +684,5 @@
 
 /*
- *  eval_prefer -- åä¿¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãè©ä¾¡ããã
+ *  eval_prefer -- 受信メッセージの推奨度を評価する。
  */
 
@@ -714,9 +692,9 @@
 	int	ix;
 
-	/* ç¡å¹ã®å ´åã¯çµäºããã*/
+	/* 無効の場合は終了する。*/
 	if (msg == NULL)
 		return;
 
-	/* æå®ããã IPv4 ã¢ãã¬ã¹ã ADDR ANY ãªãæ¨å¥¨åº¦ã 0ã«è¨­å®ããã*/
+	/* 指定された IPv4 アドレスが ADDR ANY なら推奨度を 0に設定する。*/
 	if (ntohl(msg->msg.yiaddr) == IPV4_ADDRANY)
 		msg->prefer = 0;
@@ -726,5 +704,5 @@
 #if defined(DHCP4_CLI_CFG_REQUEST_OLIST)
 
-	/* è¦æ±ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* 要求オプションを検証する。*/
 	for (ix = sizeof(request_plist); ix -- > 0; ) {
 		if (find_option(msg, request_plist[ix], 0) != NULL)
@@ -736,6 +714,5 @@
 #if defined(DHCP4_CLI_CFG_REQUIRED_OLIST)
 
-	/* å¿
-é ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* 必須オプションを検証する。*/
 	for (ix = sizeof(required_plist); ix -- > 0; ) {
 		if (find_option(msg, required_plist[ix], 0) == NULL)
@@ -747,5 +724,5 @@
 
 /*
- *  eval_rcv_msg -- åä¿¡ã¡ãã»ã¼ã¸ãè©ä¾¡ããã
+ *  eval_rcv_msg -- 受信メッセージを評価する。
  */
 
@@ -755,5 +732,5 @@
 	T_DHCP4_CLI_MSG	*evl, *msg;
 
-	/* ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããªããã°ä¸­æ­¢ããã*/
+	/* メッセージを受信していなければ中止する。*/
 	syscall(wai_sem(SEM_DHCP4_CLI_LOCK));
 	if (ct->val_lst == NULL) {
@@ -762,5 +739,5 @@
 		}
 
-	/* æ¤è¨¼ã¡ãã»ã¼ã¸ãªã¹ãããè©ä¾¡ã¡ãã»ã¼ã¸ãåãåºãã*/
+	/* 検証メッセージリストから評価メッセージを取り出す。*/
 	evl         = ct->val_lst;
 	ct->val_lst = ct->val_lst->next;
@@ -768,25 +745,22 @@
 	syscall(sig_sem(SEM_DHCP4_CLI_LOCK));
 
-	/* è©ä¾¡ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã*/
+	/* 評価メッセージを検証する。*/
 	if (validate_rcv_msg(ct, evl) != E_OK) {
 
-		/* ã¨ã©ã¼ãçºçããè©ä¾¡ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã*/
+		/* エラーが発生した評価メッセージを受信メッセージ構造体リストに戻す。*/
 		goto rcv_ret;
 		}
 
-	/* åä¿¡ããã¡ãã»ã¼ã¸ã NAK ã®æã®å¦ç */
+	/* 受信したメッセージが NAK の時の処理 */
 	if (evl->type == DHCP4_MTYPE_NAK) {
 
-		/* ãªã¼ã¹ãããæ
-å ±ãè§£æ¾ããã*/
+		/* リースされた情報を解放する。*/
 		rel_lease(ct);
 
-		/* å
-é¨ã¨ã©ã¼ãè¨­å®ãã¦çµäºããã*/
+		/* 内部エラーを設定して終了する。*/
 		return E_PAR;
 		}
 
-	/* REL_INFO ç¶æ
-ã®æã®å¦ç */
+	/* REL_INFO 状態の時の処理 */
 	//cons_printf(CONSOLE_PORTID, "evl_rcv_msg3[s=%d]\n", ct->fsm);
 	if (ct->fsm == DHCP4_FSM_REL_INFO) {
@@ -798,8 +772,8 @@
 		}
 
-	/* è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãè©ä¾¡ããã*/
+	/* 評価メッセージの推奨度を評価する。*/
 	eval_prefer(evl);
 
-	/* æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ããç©ºãªãè©ä¾¡ã¡ãã»ã¼ã¸ãç§»ãã¦çµäºããã*/
+	/* 推奨メッセージリストが空なら評価メッセージを移して終了する。*/
 	if (ct->prf_lst == NULL) {
 		ct->max_prefer = evl->prefer;
@@ -808,11 +782,11 @@
 		}
 
-	/* è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ã¨æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®æå¤§æ¨å¥¨åº¦ãæ¯è¼ããã*/
+	/* 評価メッセージの推奨度と推奨メッセージリストの最大推奨度を比較する。*/
 	if (evl->prefer > ct->max_prefer) {
 
 		/* 
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®æå¤§æ¨å¥¨åº¦ããé«ããã°ã
-		 *  æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ããåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã«ç§»ãã
+		 *  評価メッセージの推奨度が推奨メッセージリストの最大推奨度より高ければ、
+		 *  推奨メッセージリストを受信メッセージ構造体リストに戻し、
+		 *  評価メッセージを推奨メッセージリストに移す。
 		 */
 		ct->max_prefer = evl->prefer;
@@ -835,6 +809,6 @@
 
 				/*
-				 *  æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã«åã DHCP4_OPT_SERVER_ID ã®ã¡ãã»ã¼ã¸ãããã°ã
-				 *  è©ä¾¡ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
+				 *  推奨メッセージリストに同じ DHCP4_OPT_SERVER_ID のメッセージがあれば、
+				 *  評価メッセージを受信メッセージ構造体リストに戻す。
 				 */
 				goto rcv_ret;
@@ -843,5 +817,5 @@
 
 		/* 
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã«ç§»ãã
+		 *  評価メッセージを推奨メッセージリストに移す。
 		 */
 		evl->next   = ct->prf_lst;
@@ -852,6 +826,6 @@
 	/*else */
 		/* 
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®æå¤§æ¨å¥¨åº¦ããä½ããã°ã
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
+		 *  評価メッセージの推奨度が推奨メッセージリストの最大推奨度より低ければ、
+		 *  評価メッセージを受信メッセージ構造体リストに戻す。
 		 */
 
@@ -865,5 +839,5 @@
 
 /*
- *  select_msg -- æ¨å¥¨ã¡ãã»ã¼ã¸ãé¸æããã
+ *  select_msg -- 推奨メッセージを選択する。
  */
 
@@ -875,16 +849,15 @@
 	syscall(wai_sem(SEM_DHCP4_CLI_LOCK));
 	if (ct->prf_lst == NULL) {
-		/* ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããªããã°ä¸­æ­¢ããã*/
+		/* メッセージを受信していなければ中止する。*/
 		syscall(sig_sem(SEM_DHCP4_CLI_LOCK));
 		return NULL;
 		}
 
-	/* æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®å
-é ­ã®ã¡ãã»ã¼ã¸ãé¸æããã*/
+	/* 推奨メッセージリストの先頭のメッセージを選択する。*/
 	select = ct->prf_lst;
 	ct->prf_lst  = ct->prf_lst->next;
 	select->next = NULL;
 
-	/* é¸æãããªãã£ãæ¤è¨¼ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã*/
+	/* 選択されなかった検証メッセージを受信メッセージ構造体リストに戻す。*/
 	if (ct->rcv_lst == NULL)
 		ct->rcv_lst = ct->prf_lst;
@@ -899,8 +872,7 @@
 
 /*
- *  select_ack -- ACK ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã
+ *  select_ack -- ACK メッセージを検証する。
  *
- *    åãå
-¥ãããã¨ãå¯è½ã®æã¯ true ãè¿ãã
+ *    受け入れることが可能の時は true を返す。
  */
 
@@ -913,5 +885,5 @@
 		return false;
 
-	/* æå¹ãªãªã¼ã¹ã»ã¡ãã»ã¼ã¸ãæ®ã£ã¦ããã°ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã*/
+	/* 有効なリース・メッセージが残っていれば、受信メッセージ構造体リストに戻す。*/
 	if (ct->act_msg != NULL) {
 		syscall(wai_sem(SEM_DHCP4_CLI_LOCK));
@@ -921,5 +893,5 @@
 		}
 
-	/* æå¹ãªãªã¼ã¹ã»ã¡ãã»ã¼ã¸ã«è¨­å®ããã*/
+	/* 有効なリース・メッセージに設定する。*/
 	ct->act_msg = msg;
 	return true;
@@ -927,8 +899,7 @@
 
 /*
- *  select_offer -- OFFER ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã
+ *  select_offer -- OFFER メッセージを検証する。
  *
- *    åãå
-¥ãããã¨ãå¯è½ã®æã¯ true ãè¿ãã
+ *    受け入れることが可能の時は true を返す。
  */
 
@@ -940,6 +911,5 @@
 
 /*
- *  cancel_all_timers -- å
-¨ã¦ã® TIMER ãã­ã£ã³ã»ã«ããã
+ *  cancel_all_timers -- 全ての TIMER をキャンセルする。
  */
 
@@ -957,6 +927,5 @@
 
 /*
- *  start_select -- DISCOVER ã¡ãã»ã¼ã¸ãéä¿¡ãã¦ SELECT ç¶æ
-ã«é·ç§»ããã
+ *  start_select -- DISCOVER メッセージを送信して SELECT 状態に遷移する。
  */
 
@@ -964,24 +933,22 @@
 start_select (T_DHCP4_CLI_CONTEXT *ct)
 {
-	/* éä¿¡ãéå§ããæéãè¨é²ããã*/
+	/* 送信を開始した時間を記録する。*/
 	get_tim(&ct->snd_start);
 
-	/* OFFER ã¡ãã»ã¼ã¸åä¿¡ã¿ã¤ã ã¢ã¦ããè¨­å®ããã*/
+	/* OFFER メッセージ受信タイムアウトを設定する。*/
 	syscall(wai_sem(SEM_DHCP4_CLI_TIMER));
 	ct->timers[DHCP4C_TIMER_RCV_OFFER] = SYSTIM2TIMER(TMO_DHCP4C_OFFER);
 	syscall(sig_sem(SEM_DHCP4_CLI_TIMER));
 
-	/* éä¿¡å
-ã¢ãã¬ã¹ã«ã­ã¼ã«ã«ãããã¯ã¼ã¯ã¸ã®ãã­ã¼ãã­ã£ã¹ããè¨­å®ããã*/
+	/* 送信先アドレスにローカルネットワークへのブロードキャストを設定する。*/
 	ct->dst.ipaddr = IPV4_ADDRBROADCAST;
 
-	/* éä¿¡ééããªã»ããããã*/
+	/* 送信間隔をリセットする。*/
 	ct->interval = 0;
 
-	/* SELECT ç¶æ
-ã«é·ç§»ããã*/
+	/* SELECT 状態に遷移する。*/
 	ct->fsm = DHCP4_FSM_SELECT;
 
-	/* DISCOVER ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* DISCOVER メッセージを送信する。*/
 	ct->flags |= DHCP4C_FLAG_TMOUT_SND_DISC;
 	syscall(sig_sem(SEM_DHCP4_CLI_READY));
@@ -989,6 +956,5 @@
 
 /*
- *  start_bound -- BOUND ç¶æ
-ã«é·ç§»ããã
+ *  start_bound -- BOUND 状態に遷移する。
  */
 
@@ -996,41 +962,36 @@
 start_bound (T_DHCP4_CLI_CONTEXT *ct)
 {
-	/* ãªã¼ã¹ãããæ
-å ±ãè¨­å®ããã*/
+	/* リースされた情報を設定する。*/
 	set_lease(ct);
 
-	/* ãªã¼ã¹ã®æå¹æéãè¨­å®ããã*/
+	/* リースの有効時間を設定する。*/
 	ct->expire = timer_value(ct->act_msg, DHCP4_OPT_LEASE_TIME, TMO_DHCP4C_DEF_LEASE);
 
-	/* ãªã¼ã¹æéã TMO_DHCP4C_MIN_LEASE ä»¥ä¸ã®æã¯ãTMO_DHCP4C_MIN_LEASE ã«è¨­å®ããã*/
+	/* リース時間が TMO_DHCP4C_MIN_LEASE 以下の時は、TMO_DHCP4C_MIN_LEASE に設定する。*/
 	if (ct->expire < TMO_DHCP4C_MIN_LEASE)
 		ct->expire = TMO_DHCP4C_MIN_LEASE;
 
-	/* RENEW ç¶æ
-ã¾ã§ã®æéãè¨­å®ããã*/
+	/* RENEW 状態までの時間を設定する。*/
 	ct->renew = timer_value(ct->act_msg, DHCP4_OPT_RENEWAL_T1, ct->expire / 2);
 
-	/* REBIND ç¶æ
-ã¾ã§ã®æéãè¨­å®ããã*/
+	/* REBIND 状態までの時間を設定する。*/
 	ct->rebind = timer_value(ct->act_msg, DHCP4_OPT_REBINDING_T2, ct->renew + ct->renew / 2 + ct->renew / 4);
 
-	/* EXPIREãRENEWãREBIND ã¿ã¤ãã¼ãè¨­å®ããã*/
+	/* EXPIRE、RENEW、REBIND タイマーを設定する。*/
 	syscall(wai_sem(SEM_DHCP4_CLI_TIMER));
-	ct->timers[DHCP4C_TIMER_EXPIRE] = SYSTIM2TIMER(ct->expire);		/* EXPIRE      ã¾ã§ã®æé */
-	ct->timers[DHCP4C_TIMER_REBIND] = SYSTIM2TIMER(ct->rebind);		/* REBINDï¼T2ï¼ã¾ã§ã®æé */
-	ct->timers[DHCP4C_TIMER_RENEW]  = SYSTIM2TIMER(ct->renew);		/* RENEW ï¼T1ï¼ã¾ã§ã®æé */
+	ct->timers[DHCP4C_TIMER_EXPIRE] = SYSTIM2TIMER(ct->expire);		/* EXPIRE      までの時間 */
+	ct->timers[DHCP4C_TIMER_REBIND] = SYSTIM2TIMER(ct->rebind);		/* REBIND（T2）までの時間 */
+	ct->timers[DHCP4C_TIMER_RENEW]  = SYSTIM2TIMER(ct->renew);		/* RENEW （T1）までの時間 */
 	syscall(sig_sem(SEM_DHCP4_CLI_TIMER));
 
-	/* BOUND ç¶æ
-ã«é·ç§»ããã*/
+	/* BOUND 状態に遷移する。*/
 	ct->fsm = DHCP4_FSM_BOUND;
 
-	/* BIND ãéå§ããæéãè¨é²ããã*/
+	/* BIND を開始した時間を記録する。*/
 	get_tim(&ct->bind_start);
 	}
 
 /*
- *  start_send_request -- REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ãã¦ãæå®ãããç¶æ
-ã«é·ç§»ããã
+ *  start_send_request -- REQUEST メッセージを送信して、指定された状態に遷移する。
  */
 
@@ -1040,9 +1001,8 @@
 	T_IFNET	*ifp = IF_GET_IFNET();
 
-	/* éä¿¡ãéå§ããæéãè¨é²ããã*/
+	/* 送信を開始した時間を記録する。*/
 	get_tim(&ct->snd_start);
 
-	/* é·ç§»ããç¶æ
-ã RENEW ä»¥å¤ã§ã¯ ACK/NAK ã¡ãã»ã¼ã¸åä¿¡ã¿ã¤ã ã¢ã¦ããè¨­å®ããã*/
+	/* 遷移する状態が RENEW 以外では ACK/NAK メッセージ受信タイムアウトを設定する。*/
 	if (fsm != DHCP4_FSM_RENEW) { 
 		syscall(wai_sem(SEM_DHCP4_CLI_TIMER));
@@ -1052,7 +1012,6 @@
 
 	/*
-	 *  é·ç§»ããç¶æ
-ã RENEW ã§ã
-	 *  SERVER ID ãªãã·ã§ã³ãããã°ã­ã¼ã«ã«ãããã¯ã¼ã¯ã¸ã®ãã­ã¼ãã­ã£ã¹ããéä¿¡ããã
+	 *  遷移する状態が RENEW で、
+	 *  SERVER ID オプションがあればローカルネットワークへのブロードキャストを送信する。
 	 */
 	if ((fsm == DHCP4_FSM_RENEW) &&
@@ -1062,12 +1021,11 @@
 		ct->dst.ipaddr = IPV4_ADDRBROADCAST;
 
-	/* éä¿¡ééããªã»ããããã*/
+	/* 送信間隔をリセットする。*/
 	ct->interval = 0;
 
-	/* æå®ãããç¶æ
-ã«é·ç§»ããã*/
+	/* 指定された状態に遷移する。*/
 	ct->fsm = fsm;
 
-	/* REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* REQUEST メッセージを送信する。*/
 	ct->flags |= DHCP4C_FLAG_TMOUT_SND_REQ;
 	syscall(sig_sem(SEM_DHCP4_CLI_READY));
@@ -1075,8 +1033,7 @@
 
 /*
- *  start_rel_info -- ã¢ãã¬ã¹æ
-å ±ãè§£æ¾ããã
+ *  start_rel_info -- アドレス情報を解放する。
  *
- *    æ³¨æ: DHCPv4 ã® RFC2131 ã«ã¯ç¡ã
+ *    注意: DHCPv4 の RFC2131 には無い
  */
 
@@ -1084,10 +1041,8 @@
 start_rel_info (T_DHCP4_CLI_CONTEXT *ct)
 {
-	/* å
-¨ã¦ã® TIMER ãã­ã£ã³ã»ã«ããã*/
+	/* 全ての TIMER をキャンセルする。*/
 	cancel_all_timers(ct);
 
-	/* æå¹ãªãªã¼ã¹æ
-å ±ãç¡ããã° SLEEP ã«é·ç§»ããã*/
+	/* 有効なリース情報が無ければ SLEEP に遷移する。*/
 	if (ct->act_msg == NULL) {
 		ct->fsm = DHCP4_FSM_SLEEP;
@@ -1095,9 +1050,8 @@
 		}
 
-	/* éä¿¡å
-ã¢ãã¬ã¹ã«ã­ã¼ã«ã«ãããã¯ã¼ã¯ã¸ã®ãã­ã¼ãã­ã£ã¹ããè¨­å®ããã*/
+	/* 送信先アドレスにローカルネットワークへのブロードキャストを設定する。*/
 	ct->dst.ipaddr = IPV4_ADDRBROADCAST;
 
-	/* RELEASE ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* RELEASE メッセージを送信する。*/
 	ct->flags |= DHCP4C_FLAG_TMOUT_SND_REL;
 	syscall(sig_sem(SEM_DHCP4_CLI_READY));
@@ -1105,6 +1059,5 @@
 
 /*
- *  setup_dhcp_com_msg -- DHCP ã¡ãã»ã¼ã¸ã®å
-±éé¨åãä½æããã
+ *  setup_dhcp_com_msg -- DHCP メッセージの共通部分を作成する。
  */
 
@@ -1117,5 +1070,5 @@
 	ct->snd_msg->len = sizeof(ct->snd_msg->msg);
 
-	/* ãããé¨ãè¨­å®ããã*/
+	/* ヘッダ部を設定する。*/
 	ct->snd_msg->msg.op = op;
 	ct->snd_msg->msg.htype = DHCP4_HWA_TYPE_ETHER;
@@ -1123,16 +1076,16 @@
 	HOST2MSG32(ct->snd_msg->msg.xid, ct->xid);
 
-	/* MAC ã¢ãã¬ã¹ãè¨­å®ããã*/
+	/* MAC アドレスを設定する。*/
 	memcpy(&ct->snd_msg->msg.chaddr, &ct->sc->ifaddr.lladdr, ETHER_ADDR_LEN);
 
 	/*
-	 *  ãªãã·ã§ã³é¨ãè¨­å®ããã
+	 *  オプション部を設定する。
 	 */
 
-	/* RFC1048 ã«å®ç¾©ããã¦ãããã¸ãã¯çªå·ãè¨­å®ããã*/
+	/* RFC1048 に定義されているマジック番号を設定する。*/
 	memcpy(&ct->snd_msg->msg.options, magicno, DHCP4_MAGIC_LEN);
 	option = ct->snd_msg->msg.options + DHCP4_MAGIC_LEN;
 
-	/* DHCP ã¡ãã»ã¼ã¸ã¿ã¤ããè¨­å®ããã*/
+	/* DHCP メッセージタイプを設定する。*/
 	*(option ++) = DHCP4_OPT_MSG_TYPE;
 	*(option ++) = 1;
@@ -1143,5 +1096,5 @@
 
 /*
- *  setup_release_msg -- RELEASE ã¡ãã»ã¼ã¸ãä½æããã
+ *  setup_release_msg -- RELEASE メッセージを作成する。
  */
 
@@ -1151,5 +1104,5 @@
 	uint8_t *opt, *ref_opt;
 
-	/* æå¹ãªãªã¼ã¹ã»ã¡ãã»ã¼ã¸ããªããã°ã¨ã©ã¼ */
+	/* 有効なリース・メッセージがなければエラー */
 	if (ref == NULL)
 		return E_PAR;
@@ -1160,7 +1113,6 @@
 
 	/*
-	 *  ãµã¼ã IDï¼server-ipï¼ãè¨­å®ããã
-	 *  RFC2131 4.4.1 Initialization and allocation of network address åç
-§
+	 *  サーバ ID（server-ip）を設定する。
+	 *  RFC2131 4.4.1 Initialization and allocation of network address 参照
 	 */
 	if ((ref_opt = find_option(ref, DHCP4_OPT_SERVER_ID, sizeof(T_IN4_ADDR))) == NULL)
@@ -1172,7 +1124,6 @@
 
 	/* 
-	 *  ã¯ã©ã¤ã¢ã³ã IDï¼MAC ã¢ãã¬ã¹ï¼ãè¨­å®ããã
-	 *  RFC2131 4.4.1 Initialization and allocation of network address åç
-§
+	 *  クライアント ID（MAC アドレス）を設定する。
+	 *  RFC2131 4.4.1 Initialization and allocation of network address 参照
 	 */
 	*(opt ++) = DHCP4_OPT_CLIENT_ID;
@@ -1182,15 +1133,14 @@
 	opt += ETHER_ADDR_LEN;
 
-	/* ãªãã·ã§ã³ã®çµäºãè¨­å®ããã*/
+	/* オプションの終了を設定する。*/
 	*(opt ++) = DHCP4_OPT_END;
 
 	/*
-	 *  ã¯ã©ã¤ã¢ã³ã IP ã¢ãã¬ã¹ï¼ciaddrï¼ãè¨­å®ããã
-	 *  RFC2131 4.4.1 Initialization and allocation of network address åç
-§
+	 *  クライアント IP アドレス（ciaddr）を設定する。
+	 *  RFC2131 4.4.1 Initialization and allocation of network address 参照
 	 */
 	HOST2MSG32(ct->snd_msg->msg.ciaddr, IF_GET_IFNET()->in4_ifaddr.addr);
 
-	/* ã¡ãã»ã¼ã¸é·ãè¨­å®ããã*/
+	/* メッセージ長を設定する。*/
 	ct->snd_msg->len = sizeof(ct->snd_msg->msg) - DHCP4_DFLT_OPT_LEN
 	             + (opt - (uint8_t*)&ct->snd_msg->msg.options);
@@ -1200,5 +1150,5 @@
 
 /*
- *  setup_request_msg -- REQUEST ã¡ãã»ã¼ã¸ãä½æããã
+ *  setup_request_msg -- REQUEST メッセージを作成する。
  */
 
@@ -1212,6 +1162,5 @@
 #endif
 
-	/* åç
-§ããã¡ãã»ã¼ã¸ããªããã°ã¨ã©ã¼ */
+	/* 参照するメッセージがなければエラー */
 	if (ref == NULL)
 		return E_PAR;
@@ -1223,5 +1172,5 @@
 #if defined(DHCP4_CLI_CFG_REQUIRED_OLIST) || defined(DHCP4_CLI_CFG_REQUEST_OLIST)
 
-	/* è¿½å ã®ãªãã·ã§ã³ãè¨­å®ããã*/
+	/* 追加のオプションを設定する。*/
 
 	*opt  = DHCP4_OPT_REQ_PARAM;
@@ -1230,5 +1179,5 @@
 #if defined(DHCP4_CLI_CFG_REQUIRED_OLIST)
 
-	/* è¦æ±ãªãã·ã§ã³ãªã¹ããè¨­å®ããã*/
+	/* 要求オプションリストを設定する。*/
 	if (sizeof(required_plist) > 0) {
 		memcpy(opt, required_plist, sizeof(required_plist));
@@ -1241,5 +1190,5 @@
 #if defined(DHCP4_CLI_CFG_REQUEST_OLIST)
 
-	/* è¦æ±ãªãã·ã§ã³ãªã¹ããè¨­å®ããã*/
+	/* 要求オプションリストを設定する。*/
 	if (sizeof(request_plist) > 0) {
 		memcpy(opt, request_plist, sizeof(request_plist));
@@ -1255,7 +1204,6 @@
 
 	/*
-	 *  ãµã¼ã IDï¼server-ipï¼ãè¨­å®ããã
-	 *  RFC2131 4.4.1 Initialization and allocation of network address åç
-§
+	 *  サーバ ID（server-ip）を設定する。
+	 *  RFC2131 4.4.1 Initialization and allocation of network address 参照
 	 */
 	if (ct->fsm == DHCP4_FSM_REQUEST) {
@@ -1269,9 +1217,8 @@
 
 	/*
-	 *  è¦æ± IP ã¢ãã¬ã¹ï¼requested-ipï¼ãè¨­å®ããã
-	 *  RFC2131 4.4.1 Initialization and allocation of network address åç
-§
-	 *  RFC2131 ã§ã¯ãDHCP4_FSM_RENEW ã®æ MUST NOT ã«ãªã£ã¦ãããã
-	 *  MUST ã®ããã§ããã
+	 *  要求 IP アドレス（requested-ip）を設定する。
+	 *  RFC2131 4.4.1 Initialization and allocation of network address 参照
+	 *  RFC2131 では、DHCP4_FSM_RENEW の時 MUST NOT になっているが、
+	 *  MUST のようである。
 	 */
 	*(opt ++) = DHCP4_OPT_REQ_IPV4;
@@ -1279,6 +1226,5 @@
 	if (ct->fsm == DHCP4_FSM_REQUEST || ct->fsm == DHCP4_FSM_INIT_REBOOT ||
 	    ct->fsm == DHCP4_FSM_RENEW   || ct->fsm == DHCP4_FSM_REBIND)
-	 	/* åç
-§ã¡ãã»ã¼ã¸ã¨åã IP ã¢ãã¬ã¹ï¼requested-ipï¼ãè¦æ±ããã*/
+	 	/* 参照メッセージと同じ IP アドレス（requested-ip）を要求する。*/
 		memcpy(opt, (uint8_t*)&ref->msg.yiaddr, sizeof(ref->msg.yiaddr));
 	else
@@ -1287,7 +1233,6 @@
 
 	/* 
-	 *  ã¯ã©ã¤ã¢ã³ã IDï¼MAC ã¢ãã¬ã¹ï¼ãè¨­å®ããã
-	 *  RFC2131 4.4.1 Initialization and allocation of network address åç
-§
+	 *  クライアント ID（MAC アドレス）を設定する。
+	 *  RFC2131 4.4.1 Initialization and allocation of network address 参照
 	 */
 	*(opt ++) = DHCP4_OPT_CLIENT_ID;
@@ -1297,11 +1242,10 @@
 	opt += ETHER_ADDR_LEN;
 
-	/* ãªãã·ã§ã³ã®çµäºãè¨­å®ããã*/
+	/* オプションの終了を設定する。*/
 	*(opt ++) = DHCP4_OPT_END;
 
 	/*
-	 *  ã¯ã©ã¤ã¢ã³ã IP ã¢ãã¬ã¹ï¼ciaddrï¼ãè¨­å®ããã
-	 *  RFC2131 4.4.1 Initialization and allocation of network address åç
-§
+	 *  クライアント IP アドレス（ciaddr）を設定する。
+	 *  RFC2131 4.4.1 Initialization and allocation of network address 参照
 	 */
 	if (ct->fsm == DHCP4_FSM_RENEW || ct->fsm == DHCP4_FSM_REBIND)
@@ -1310,5 +1254,5 @@
 		HOST2MSG32(ct->snd_msg->msg.ciaddr, IPV4_ADDRANY);
 
-	/* ã¡ãã»ã¼ã¸é·ãè¨­å®ããã*/
+	/* メッセージ長を設定する。*/
 	ct->snd_msg->len = sizeof(ct->snd_msg->msg) - DHCP4_DFLT_OPT_LEN
 	             + (opt - (uint8_t*)&ct->snd_msg->msg.options);
@@ -1317,5 +1261,5 @@
 
 /*
- *  setup_discover_msg -- DISCOVER ã¡ãã»ã¼ã¸ãä½æããã
+ *  setup_discover_msg -- DISCOVER メッセージを作成する。
  */
 
@@ -1335,5 +1279,5 @@
 #if defined(DHCP4_CLI_CFG_REQUIRED_OLIST) || defined(DHCP4_CLI_CFG_REQUEST_OLIST)
 
-	/* è¿½å ã®ãªãã·ã§ã³ãè¨­å®ããã*/
+	/* 追加のオプションを設定する。*/
 
 	*opt  = DHCP4_OPT_REQ_PARAM;
@@ -1342,5 +1286,5 @@
 #if defined(DHCP4_CLI_CFG_REQUIRED_OLIST)
 
-	/* è¦æ±ãªãã·ã§ã³ãªã¹ããè¨­å®ããã*/
+	/* 要求オプションリストを設定する。*/
 	if (sizeof(required_plist) > 0) {
 		memcpy(opt, required_plist, sizeof(required_plist));
@@ -1353,5 +1297,5 @@
 #if defined(DHCP4_CLI_CFG_REQUEST_OLIST)
 
-	/* è¦æ±ãªãã·ã§ã³ãªã¹ããè¨­å®ããã*/
+	/* 要求オプションリストを設定する。*/
 	if (sizeof(request_plist) > 0) {
 		memcpy(opt, request_plist, sizeof(request_plist));
@@ -1366,6 +1310,5 @@
 #endif	/* of #if defined(DHCP4_CLI_CFG_REQUIRED_OLIST) || defined(DHCP4_CLI_CFG_REQUEST_OLIST) */
 
-	/* æ¢ã«ã¢ãã¬ã¹æ
-å ±ããªã¼ã¹ããã¦ããã°ãåã IP ã¢ãã¬ã¹ãè¦æ±ããã*/
+	/* 既にアドレス情報がリースされていれば、同じ IP アドレスを要求する。*/
 	if (ct->act_msg != NULL) {
 		*(opt ++) = DHCP4_OPT_REQ_IPV4;
@@ -1375,5 +1318,5 @@
 		}
 
-	/* ã¯ã©ã¤ã¢ã³ã IDï¼MAC ã¢ãã¬ã¹ï¼ãè¨­å®ããã*/
+	/* クライアント ID（MAC アドレス）を設定する。*/
 	*(opt ++) = DHCP4_OPT_CLIENT_ID;
 	*(opt ++) = ETHER_ADDR_LEN + 1;
@@ -1382,12 +1325,11 @@
 	opt += ETHER_ADDR_LEN;
 
-	/* ãªãã·ã§ã³ã®çµäºãè¨­å®ããã*/
+	/* オプションの終了を設定する。*/
 	*(opt ++) = DHCP4_OPT_END;
 
-	/* éä¿¡å
-ã¢ãã¬ã¹ãè¨­å®ããã*/
+	/* 送信先アドレスを設定する。*/
 	ct->dst.ipaddr = IPV4_ADDRBROADCAST;
 
-	/* ã¡ãã»ã¼ã¸é·ãè¨­å®ããã*/
+	/* メッセージ長を設定する。*/
 	ct->snd_msg->len = sizeof(ct->snd_msg->msg) - DHCP4_DFLT_OPT_LEN
 	             + (opt - (uint8_t*)&ct->snd_msg->msg.options);
@@ -1396,5 +1338,5 @@
 
 /*
- *  ack_msg_timeout -- ACK/NAK ã¡ãã»ã¼ã¸åä¿¡ã¿ã¤ã ã¢ã¦ãå¦ç
+ *  ack_msg_timeout -- ACK/NAK メッセージ受信タイムアウト処理
  */
 
@@ -1402,10 +1344,9 @@
 ack_msg_timeout (T_DHCP4_CLI_CONTEXT *ct)
 {
-	/* ACK ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããã°ãBOUND ç¶æ
-ã«é·ç§»ããã*/
+	/* ACK メッセージを受信していれば。BOUND 状態に遷移する。*/
 	ct->flags &= ~DHCP4C_FLAG_TMOUT_MASK;
 	if (select_ack(ct)) {
 
-		/* REQUEST ã¡ãã»ã¼ã¸éä¿¡ã¿ã¤ãã¼ãåæ­¢ããã*/
+		/* REQUEST メッセージ送信タイマーを停止する。*/
 		syscall(wai_sem(SEM_DHCP4_CLI_TIMER));
 		ct->timers[DHCP4C_TIMER_SND_REQ] = 0;
@@ -1413,7 +1354,6 @@
 
 		/*
-		 *  ç¶æ
-ã REQUEST ã®æã¯ã
-		 *  OFFER ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
+		 *  状態が REQUEST の時は、
+		 *  OFFER メッセージを受信メッセージ構造体リストに戻す。
 		 */
 		if (ct->fsm == DHCP4_FSM_REQUEST && ct->off_msg != NULL) {
@@ -1425,6 +1365,5 @@
 			}
 
-		/* BOUND ç¶æ
-ã«é·ç§»ããã*/
+		/* BOUND 状態に遷移する。*/
 		start_bound(ct);
 		return;
@@ -1432,6 +1371,5 @@
 	else {
 
-		/* ãªã¼ã¹æ
-å ±ãè§£æ¾ããã*/
+		/* リース情報を解放する。*/
 		rel_lease(ct);
 
@@ -1441,5 +1379,5 @@
 
 /*
- *  send_request_msg -- REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ããã
+ *  send_request_msg -- REQUEST メッセージを送信する。
  */
 
@@ -1453,13 +1391,12 @@
 	uint16_t	secs;
 
-	/* ã¿ã¤ã ã¢ã¦ããã©ã°ãã¯ãªã¢ã¼ããã*/
+	/* タイムアウトフラグをクリアーする。*/
 	ct->flags &= ~DHCP4C_FLAG_TMOUT_MASK;
 
-	/* ACK ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããã°ãBOUND ç¶æ
-ã«é·ç§»ããã*/
+	/* ACK メッセージを受信していれば。BOUND 状態に遷移する。*/
 	ct->flags &= ~DHCP4C_FLAG_TMOUT_MASK;
 	if (select_ack(ct)) {
 
-		/* ACK/NAK ã¡ãã»ã¼ã¸åä¿¡ã¿ã¤ãã¼ãåæ­¢ããã*/
+		/* ACK/NAK メッセージ受信タイマーを停止する。*/
 		syscall(wai_sem(SEM_DHCP4_CLI_TIMER));
 		ct->timers[DHCP4C_TIMER_RCV_ACK] = 0;
@@ -1467,7 +1404,6 @@
 
 		/*
-		 *  ç¶æ
-ã REQUEST ã®æã¯ã
-		 *  OFFER ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
+		 *  状態が REQUEST の時は、
+		 *  OFFER メッセージを受信メッセージ構造体リストに戻す。
 		 */
 		if (ct->fsm == DHCP4_FSM_REQUEST && ct->off_msg != NULL) {
@@ -1479,11 +1415,10 @@
 			}
 
-		/* BOUND ç¶æ
-ã«é·ç§»ããã*/
+		/* BOUND 状態に遷移する。*/
 		start_bound(ct);
 		return;
 		}
 
-	/* REQUEST ã¡ãã»ã¼ã¸ãä½æããã*/
+	/* REQUEST メッセージを作成する。*/
 	if (ct->fsm == DHCP4_FSM_REQUEST)
 		ref = ct->off_msg;
@@ -1496,11 +1431,11 @@
 		}
 
-	/* éä¿¡ãéå§ãã¦ããã®æéãå¾ãã*/
+	/* 送信を開始してからの時間を得る。*/
 	get_tim(&time);
 	interval = time - ct->snd_start;
 
 	/*
-	 * éä¿¡ãéå§ãã¦ããã®æéï¼ç§ï¼ãã¡ãã»ã¼ã¸ã«è¨­å®ããã
-	 * æå¤§å¤ã¯ 65535ã
+	 * 送信を開始してからの時間（秒）をメッセージに設定する。
+	 * 最大値は 65535。
 	 */
 	if (ct->fsm == DHCP4_FSM_REQUEST)
@@ -1514,5 +1449,5 @@
 	HOST2MSG16(ct->snd_msg->msg.secs, secs);
 
-	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* ノンブロッキングコールでメッセージを送信する。*/
 	error = udp_snd_dat(ct->cepid, &ct->dst, &ct->snd_msg->msg, ct->snd_msg->len, TMO_NBLK);
 	if (error != E_WBLK) {
@@ -1522,24 +1457,22 @@
 		}
 
-	/* éä¿¡ééãè¨­å®ããã*/
+	/* 送信間隔を設定する。*/
 	if (ct->interval == 0)
-		/* æªè¨­å® */
+		/* 未設定 */
 		ct->interval = TMO_DHCP4C_INIT_INTVL;
 	else
-		/* ããã¯ãªãã¢ã«ã´ãªãºã ã§ 2åã«ããï¼ä¹±æ°ä½¿ç¨ï¼éä¿¡ééãå ç®ããã*/
+		/* バックオフアルゴリズムで 2倍にした（乱数使用）送信間隔を加算する。*/
 		ct->interval += (netapp_rand() >> 2) % (ct->interval << 1);
 	
-	/* éä¿¡å¨æã®å¶éå¤ãè¶
-ããªãããã«ããã*/
+	/* 送信周期の制限値を超えないようにする。*/
 	if (ct->interval > TMO_DHCP4C_MAX_BACKOFF)
 		ct->interval = (TMO_DHCP4C_MAX_BACKOFF >> 1) + ((netapp_rand() >> 2) % TMO_DHCP4C_MAX_BACKOFF);
 
-	/* ãªã¼ã¹æéã®ã¿ã¤ã ã¢ã¦ããå
-éãã */
+	/* リース時間のタイムアウト【先送り】 */
 	if (ct->fsm != DHCP4_FSM_REQUEST &&
 	    TIMEC_GT(ct->interval + time, ct->expire + ct->bind_start))
 		ct->interval = ct->expire + ct->bind_start - time + SYSTIM_HZ;
 
-	/* åéä¿¡ã¿ã¤ã ã¢ã¦ããè¨­å®ããã*/
+	/* 再送信タイムアウトを設定する。*/
 	syscall(wai_sem(SEM_DHCP4_CLI_TIMER));
 	ct->timers[DHCP4C_TIMER_SND_REQ] = SYSTIM2TIMER(ct->interval);
@@ -1548,5 +1481,5 @@
 
 /*
- *  send_release_msg -- RELEASE ã¡ãã»ã¼ã¸ãéä¿¡ããã
+ *  send_release_msg -- RELEASE メッセージを送信する。
  */
 
@@ -1556,8 +1489,8 @@
 	ER		error;
 
-	/* ã¿ã¤ã ã¢ã¦ããã©ã°ãã¯ãªã¢ã¼ããã*/
+	/* タイムアウトフラグをクリアーする。*/
 	ct->flags &= ~DHCP4C_FLAG_TMOUT_MASK;
 
-	/* RELEASE ã¡ãã»ã¼ã¸ãä½æããã*/
+	/* RELEASE メッセージを作成する。*/
 	if ((error = setup_release_msg(ct, ct->act_msg)) != E_OK) {
 		syslog(LOG_NOTICE, "[DHCP4C] error, setup release message: %s", itron_strerror(error));
@@ -1566,9 +1499,8 @@
 		}
 
-	/* ãªã¼ã¹æ
-å ±ãè§£æ¾ããã*/
+	/* リース情報を解放する。*/
 	rel_lease(ct);
 
-	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* ノンブロッキングコールでメッセージを送信する。*/
 	error = udp_snd_dat(ct->cepid, &ct->dst, &ct->snd_msg->msg, ct->snd_msg->len, TMO_NBLK);
 	if (error != E_WBLK) {
@@ -1578,15 +1510,13 @@
 		}
 
-	/* ã¡ãã»ã¼ã¸éä¿¡å¾
-ã¡ãè¡ãã*/
+	/* メッセージ送信待ちを行う。*/
 	syscall(wai_sem(SEM_DHCP4_CLI_READY));
 
-	/* SLEEP ç¶æ
-ã«é·ç§»ããã*/
+	/* SLEEP 状態に遷移する。*/
 	ct->fsm = DHCP4_FSM_SLEEP;
 	}
 
 /*
- *  offer_msg_timeout -- OFFER ã¡ãã»ã¼ã¸åä¿¡ã¿ã¤ã ã¢ã¦ãå¦ç
+ *  offer_msg_timeout -- OFFER メッセージ受信タイムアウト処理
  */
 
@@ -1594,16 +1524,14 @@
 offer_msg_timeout (T_DHCP4_CLI_CONTEXT *ct)
 {
-	/* OFFER ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããã°ãREQUEST ç¶æ
-ã«é·ç§»ããã*/
+	/* OFFER メッセージを受信していれば。REQUEST 状態に遷移する。*/
 	ct->flags &= ~DHCP4C_FLAG_TMOUT_MASK;
 	if (select_offer(ct)) {
 
-		/* DISCOVER ã¡ãã»ã¼ã¸éä¿¡ã¿ã¤ãã¼ãåæ­¢ããã*/
+		/* DISCOVER メッセージ送信タイマーを停止する。*/
 		syscall(wai_sem(SEM_DHCP4_CLI_TIMER));
 		ct->timers[DHCP4C_TIMER_SND_DISC] = 0;
 		syscall(sig_sem(SEM_DHCP4_CLI_TIMER));
 
-		/* REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ãã¦ REQUEST ç¶æ
-ã«é·ç§»ããã*/
+		/* REQUEST メッセージを送信して REQUEST 状態に遷移する。*/
 		start_send_request(ct, DHCP4_FSM_REQUEST);
 		}
@@ -1613,5 +1541,5 @@
 
 /*
- *  send_discover_msg -- DISCOVERã¡ãã»ã¼ã¸ãéä¿¡ããã
+ *  send_discover_msg -- DISCOVERメッセージを送信する。
  */
 
